class SystemSettingsController < ApplicationController



  def new
    @system_setting = SystemSetting.new
  end

  def create
    @system_setting = SystemSetting.new(system_setting_params)
    respond_to do |format|
      if @system_setting.save
        format.html { redirect_to :root, success: 'Gespeichert' }
      else
        format.html { render :new }
      end
    end
  end

  def load_latest_portfolio_rules
    SystemSetting.get_instance.load_latest_portfolio_rules
    redirect_to :root, success: "Gespeichert"
  end

  # def load_updated_semesters
  #   SystemSetting.get_instance.load_updated_semesters
  #   redirect_to :root, success: "Schuljahre aktualisiert"
  # end

  def show_change_semester
    @system_setting =  SystemSetting.get_instance
  end

  def change_semester
    sys = SystemSetting.get_instance
    next_semester = Semester.following.take!
    sys.semester = next_semester
    respond_to do |format|
      if sys.save
        format.html { redirect_to :root, success: "Neues Schuljahr #{next_semester.name} hat begonnen." }
      else
        format.html { redirect_to :root, warning: "Neues Schuljahr kann noch nicht beginnen #{sys.errors[:semester_id].join(', ')}"  }
      end
    end
  end

  private

    def system_setting_params
      params.require(:system_setting).permit(:region,:name)
    end
end
