class InstitutionCategoriesGrid < BaseGrid

  scope do
    InstitutionCategory.all
  end

  filter(:name, :string, header: "Name") do |value|
    self.where(["institution_categories.name LIKE ?",  "%#{value}%"])
  end
  filter(:institution_type, :enum, :select => InstitutionCategory::INSTITUTION_TYPES.invert, header: "Typ") do |value|
    self.where(["institution_categories.institution_type = ?",  "#{value}"])
  end


  column(:name, header: "Name")
  column(:institution_type, header: "Typ") do |i|
    InstitutionCategory::INSTITUTION_TYPES[i.institution_type]
  end
  column(:description, header: "Notizen")
  column(:actions,  header: '', style: 'width:100px', :html => true) do |i|
      "<div class='btn-group btn-group-nowrap btn-group-xs  pull-right' >
          <a href='#{edit_institution_category_path(i)}' role='button' class='btn btn-success btn-sm'>
            <i class='glyphicon glyphicon-pencil'></i>
          </a>
            #{ link_to  institution_category_path(i), data: {:confirm => 'Sicher?'},
             role: 'button', class: 'btn btn-danger btn-sm', :method => :delete do
             content_tag(:i, nil, class: 'glyphicon glyphicon-remove')
            end if i.is_destructable? }
      </div>".html_safe
  end

end