class ManagerGrid < BaseGrid

  scope do
    Manager.all.order('last_name DESC')
  end

  filter(:name, :string, header: "Name") do |value, scope|
     value.split.inject(scope) do |_scope,part|
       _scope.where("first_name LIKE '%#{part}' OR last_name LIKE '%#{part}'")
     end
  end
  filter(:institution, :enum, header: "Einrichtung",  :select => proc { Institution.all.map {|c| [c.name, c.id] }}) do |value|
    self.where('institution_id = ?', value)
  end

  column(:name, header: "Name", html:true)  do |manager|
    "#{manager.first_name} #{manager.last_name}"
  end
  column(:institution, header: "Einrichtung", class: 'hidden-xs')  do |manager|
    manager.institution.name unless manager.institution.nil?
  end
  column(:email, header: "Email")
  column(:phone, header: "Telefon")
  column(:mobile, header: "Mobil")

  column(:actions,  header: '', :html => true) do |i|
    _wrp = 0
    update_button = ""
    delete_button = ""
    update_roles_button = ""
      #_wrp += 1
      # read_button = "<a href='#{manager_path(i)}' role='button' class='btn btn-success'>
      #       <i class='glyphicon glyphicon-eye-open'></i>
      #     </a>"
    if can?(:update,i)
      _wrp += 1
      update_button = "<a href='#{edit_manager_path(i)}' role='button' class='btn btn-success'>
        <i class='glyphicon glyphicon-pencil'></i>
      </a>"
    end
    if can?(:update_roles,i) && i.identity.present?
      _wrp += 1
      update_roles_button = " <a href='#{edit_roles_manager_path(i)}' role='button' class='btn btn-success btn-sm'>
            <i class='glyphicon glyphicon-list'></i>
          </a>"
    end
    if can?(:destroy,i) && i.is_destructable?
      _wrp += 1
      delete_button = link_to  manager_path(i), data: {:confirm => 'Sicher?'},
                               role: 'button', class: 'btn btn-danger', :method => :delete do
        content_tag(:i, nil, class: 'glyphicon glyphicon-remove')
      end
    end
      "<div class='btn-group btn-group-nowrap-#{_wrp} btn-group-xs  pull-right' >

          #{update_button}
      #{update_roles_button}
          #{delete_button}
      </div>".html_safe
  end

end