module ClientGroupsHelper

  def show_client_group_name(client_group, add_info = nil)
    unless client_group.nil?
      str = client_group.name
      case add_info
      when 'institution'
        str += " (" + client_group.institution.name + ")"
      when 'semester'
        str += " (" + show_semester_name(client_group.semester) + ")"
      end
      str
    end
  end

  def show_client_group(client_group, with_semester = true, title = "Klasse anzeigen")
    unless client_group.nil?
      add_info = with_semester ? 'semester' : nil
      label = show_client_group_name(client_group, add_info)
      link_to label, client_group_path(client_group), {title: title}
    else
      'n/a'
    end
  end

  def create_new_client_group_name(client_group)
    name =  client_group.name
    chars = name.match(/\D+/)[0].strip
    numbers = name.match(/\d+/)[0].strip
    new_number = numbers.to_i + 1
    new_number.to_s + chars
  end

end
