class FinishClientDuplicateRequestJob < ActiveJob::Base
  queue_as :default

  rescue_from ActiveJob::DeserializationError do |e|
    message = "\e[31m\e[1m#{e.message}\e[22m\e[0m" # make red and bold
    Rails.logger.error(message)
  end

  def perform(*client_duplicate_requests)
    client_duplicate_requests.each do |client_duplicate_request|
      unless client_duplicate_request.request_finished?
        client_duplicate_request.request_finished!
        unless client_duplicate_request.has_any_duplicates?
          client = Client.new(client_duplicate_request.request)
          client.client_duplicate_request = client_duplicate_request
          client.save(validate: false)
        end
      end
    end
  end



end