class ChecklistQuestion < ActiveRecord::Base

  mount_uploader :file, ::ChecklistDocumentUploader

  #--- Associations
  belongs_to :portfolio_item, :class_name => 'Portfolio::Item' # can be NULL
  belongs_to :portfolio_specialization        # can be NULL
  belongs_to :checklist_tpl
  belongs_to :checklist
  belongs_to :checklist_group

  has_and_belongs_to_many :portfolio_items, :class_name => 'Portfolio::Item', association_foreign_key: :portfolio_item_id, autosave: false # there is constraint in db


  #--- Validations

  validates :freetext, absence: true, unless: Proc.new { |q| q.has_freetext }
  validates :file, absence: true, unless: Proc.new { |q| q.accepts_upload }


end
