class ChecklistTpl < ActiveRecord::Base


  #--- Associations
  belongs_to :portfolio_specialization        # can be NULL

  has_many :checklist_group_tpls
  accepts_nested_attributes_for :checklist_group_tpls, reject_if: :all_blank, allow_destroy: true

  has_many :checklist_question_tpls

  #--- Validations
  validates :name,:checklist_type, presence: true

  def available_checklists
    CsbApi::Checklist.where(is_active: true).all.map { |d| [d.name, d.checklist_type] }
  end

  def self.grouped_options_for_select
    _grouped = ChecklistTpl.all.group_by { |cl| cl.portfolio_specialization.present? ? cl.portfolio_specialization.name : 'Alle Förderschwerpunkte'  }
    _grouped.each { |k, list| _grouped[k] = list.map {|tpl| [tpl.name,tpl.id] } }
    _grouped
  end


end
