module Identifiable
  extend ActiveSupport::Concern
  included do
    has_one :identity, as: :identifiable, class_name: 'User', dependent: :destroy
    accepts_nested_attributes_for :identity, reject_if: :no_identity_or_edit_present_identity
  end

  private

    def no_identity_or_edit_present_identity(attributes)
      # TODO respond_to(:can_log_in) prüfen
      return true if attributes[:can_log_in] == false
      attributes.each do |key, value| 
        return false if value.present?
      end
      true
    end

end