module Portfolio
  module Conditions
    class EvaluationCompletionMatcher < ItemMatcher

        attr_accessor :is_positive

        def initialize
          @is_positive = nil
        end

        def match?(portfolio_item)
          portfolio_item.target_agreements.each do |target|
            if target.evaluation.present? && target.evaluation.filled_out?
              return true if @is_positive.nil?
              return true if target.evaluation.successful? && @is_positive==true
              return true if !target.evaluation.successful? && @is_positive==false
            end
          end
          return false
        end

        def description
          case @is_positive
            when false
              'es muss eine fehlgeschlagene Evaluation durchgeführt werden'
            when true
              'es muss eine erfolgreiche Evaluation durchgeführt werden'
            when nil
              'es muss eine  Evaluation durchgeführt werden'
          end
        end
    end
  end
end
