module Portfolio
  module Conditions
    class SpecialEdExternMatcher < ItemMatcher


      def match?(portfolio_item)
        subject_institution_id = portfolio_item.portfolio.portfolio_subject.institution_id
        portfolio_item.portfolio_item_involved_teachers.each do |involved_teacher|
          if involved_teacher.teacher.teacher_category.is_special_ed? && # refs  #295
              involved_teacher.teacher.institutions.inject(false){|momo,i| momo || i.id != subject_institution_id}
            return true
          end
        end
        return false
      end

      def description
        'ein Sonderpädagoge aus einer anderen Einrichtung muss beteiligt sein'
      end




      end
  end
end
