module Questionnaires
  class SdqGuardianTeacher < Questionnaire


    # @return Hash[String]
    def documents
      {
         'Auswertung' =>  Rails.public_path + '/questionnaires/sdq/SDQ-Auswertung-Lehrer-Eltern.pdf',
         'Fragebogen' => Rails.public_path + '/questionnaires/sdq/SDQ-Lehrer-Eltern.pdf',
      }
    end

    def link
      "http://www.sdqinfo.com/py/sdqinfo/b0.py"
    end

    def result_texts
      [
          "Nicht zutreffend",
          "Teilweise zutreffend",
          "Eindeutig zutreffend"
      ]
    end
    
    # @return Array[Questionnaire::QuestionGroup]
    def groups
      # ATTENTION: Do not change ids of Questions and QuestionGroups. Do not change values.
      values = [0,1,2]
      reverse_values = [2,1,0]

      [
          Questionnaire::QuestionGroup.new(1,1,"Emotionale Probleme",[
              Questionnaire::Question.new(1,3,"Klagt häufig über Kopfschmerzen, Bauchschmerzen oder Übelkeit",values),
              Questionnaire::Question.new(2,8,"Hat viele Sorgen; erscheint häufig bedrückt",values),
              Questionnaire::Question.new(3,13,"Oft unglücklich oder niedergeschlagen; weint häufig",values),
              Questionnaire::Question.new(4,16,"Nervös oder anklammernd in neuen Situationen; verliert leicht das Selbstvertrauen",values),
              Questionnaire::Question.new(5,24,"Hat viele Ängste; fürchtet sich leicht",values)
          ]),
          Questionnaire::QuestionGroup.new(2,2,"Verhaltensprobleme",[
              Questionnaire::Question.new(6,5,"Hat oft Wutanfälle; ist aufbrausend",values),
              Questionnaire::Question.new(7,7,"Im allgemeinen folgsam; macht meist, was Erwachsene verlangen",reverse_values),
              Questionnaire::Question.new(8,12,"Streitet sich oft mit anderen Kindern oder schikaniert sie",values),
              Questionnaire::Question.new(9,18,"Lügt oder mogelt häufig",values),
              Questionnaire::Question.new(10,22,"Stiehlt zu Hause, in der Schule oder anderswo",values)
          ]),
          Questionnaire::QuestionGroup.new(3,3,"Hyperaktivität",[
              Questionnaire::Question.new(11,2,"Unruhig, überaktiv, kann nicht lange stillsitzen",values),
              Questionnaire::Question.new(12,10,"Ständig zappelig",values),
              Questionnaire::Question.new(13,15,"Leicht ablenkbar, unkonzentriert",values),
              Questionnaire::Question.new(14,21,"Denkt nach, bevor er/sie handelt",reverse_values),
              Questionnaire::Question.new(15,25,"Führt Aufgaben zu Ende; gute Konzentrationsspanne",reverse_values)
          ]),
          Questionnaire::QuestionGroup.new(4,4,"Verhaltensprobleme mit Gleichaltrigen",[
              Questionnaire::Question.new(16,6,"Einzelgänger; spielt meist alleine",values),
              Questionnaire::Question.new(17,11,"Hat wenigstens einen guten Freund oder eine gute Freundin",reverse_values),
              Questionnaire::Question.new(18,14,"Im allgemeinen bei anderen Kindern beliebt",reverse_values),
              Questionnaire::Question.new(19,19,"Wird von anderen gehänselt oder schikaniert",values),
              Questionnaire::Question.new(20,23,"Kommt besser mit Erwachsenen aus als mit anderen Kindern",values)
          ])  ,
          Questionnaire::QuestionGroup.new(5,5,"Prosoziales Verhalten",[
              Questionnaire::Question.new(21,1,"Rücksichtsvoll",values),
              Questionnaire::Question.new(22,4,"Teilt gerne mit anderen Kindern (Süssigkeiten, Spielzeug, Buntstifte usw.)",values),
              Questionnaire::Question.new(23,9,"Hilfsbereit, wenn andere verletzt, krank oder betrübt sind",values),
              Questionnaire::Question.new(24,17,"Lieb zu jüngeren Kindern",values),
              Questionnaire::Question.new(25,20,"Hilft anderen oft freiwillig (Eltern, Lehrern oder anderen Kindern)",values)
          ])
      ]
    end



  end
end
