module SystemTasks
  class ClientExpertiseManagerResult < Base


    def _escalations
      [
          {
              Escalator::SendUserMessage => [
                  target.expertise_manager,
                  target.expertise_school_inspector,
                  target.teacher,
                  target.client_group.try(&:teacher),
                  target.expertise_teacher
              ]
          }
      ]
    end


    def is_manual_confirmable?
      true
    end

    class << self
      def subscribe_to
        [
            {
                klass: 'client',
                callback: 'after_save',
                handler: 'client_after_save'
            }
        ]
      end


      def client_after_save(client)
        if client.expertise_inspector_result_changed?
          where(target: client).delete_all
          if client.expertise_inspector_result.to_sym != :expertise_inspector_result_empty
            create({
                 target: client,
                 client: client,
                 institution: nil,
                 label: client.full_name,
                 title:  "Für das Gutachten für #{client.first_name} #{client.last_name} hat der Schulrat eine Einschätzung abgegeben.",
                 message: "Die Verwaltung soll jetzt eine abschliessende Einschätzung abgeben.",
                 start_at: DateTime.now,
                 due_at: DateTime.now,
                 next_escalation: DateTime.now,
                 escalation_delay: 0,
                 resolve_location: Rails.application.routes.url_helpers.dashboard_client_path(client)
             })
          end
        end
      end
    end




  end
end