module SystemTasks
  class ClientExpertiseStart < Base

    def _escalations
      [
          {
              Escalator::SendUserMessage => target.institution.try(&:parent_institution).try(&:managers).all.to_a,
              Escalator::SendEmail => target.institution.try(&:parent_institution).try(&:managers).all.to_a
          }
      ]
    end

    def is_manual_confirmable?
      true
    end

    class << self
      def subscribe_to
        [
            {
                klass: 'portfolio/item',
                callback: 'after_save',
                handler: 'portfolio_item_after_save'
            }
        ]
      end



      def portfolio_item_after_save(portfolio_item)
        client = portfolio_item.portfolio.client
        if client.present? && !where(target: client).exists? && portfolio_item.portfolio.next_rule_has_condition?('special_ed_extern')
           create({
                 target: client,
                 client: client,
                 institution: nil,
                 label: client.full_name,
                 title:  "Ein Gutachten für #{client.first_name} #{client.last_name} steht an.",
                 message: "Ein Verwalter soll ein Gutachen anfordern, unten in der Schülerübersicht, unter dem Tab Gutachten.",
                 start_at: DateTime.now,
                 due_at: DateTime.now,
                 next_escalation: DateTime.now,
                 escalation_delay: 0,
                 resolve_location: Rails.application.routes.url_helpers.dashboard_client_path(client)
             })
        end
      end
    end




  end
end