module SystemTasks
  module PortfolioRuleNotifications
    class RequiredStep < PortfolioRuleNotifications::Base

      class << self
        def do_create(notifier)
          create({
              target: notifier.portfolio,
              client: (notifier.portfolio.subject.is_a? Client) ? notifier.portfolio.subject : nil,
              institution: (notifier.portfolio.subject.is_a? ClientGroup) ? notifier.portfolio.subject_proxy.institution : nil,
              label: notifier.portfolio.subject_proxy.name,
              title:   "Massnahmen für #{ notifier.portfolio.subject_proxy.name}.",
              message:    ::I18n.translate('system_notifications.portfolio_notifiers_required_step.content',
                                           subject: notifier.portfolio.subject_proxy.name,
                                           step: notifier.step
              ),
              start_at:  DateTime.now + notifier.delay_display_sec.seconds,
              due_at:   DateTime.now +  notifier.delay_display_sec.seconds + notifier.delay_due_after_display_sec.seconds,
              next_escalation:  DateTime.now,
              escalation_delay: 86400 * 14,
              resolve_location: notifier.portfolio.subject_proxy.resolve_notifications_path
          })
        end
      end

    end
  end
end