module CsbApi
  class InstitutionCategory < CsbApi::Base
    def self.table_name; "institution-categories"; end
    def build_model(model = ::InstitutionCategory.new)
      existing_model = ::InstitutionCategory.where(vid: read_attribute('vid'), region: read_attribute('region')).take
      model = existing_model if existing_model.present?
      model.attributes={
          name: read_attribute('name'),
          description: read_attribute('description'),
          institution_type: read_attribute('institution-type'),
          vid: read_attribute('vid'),
          region: read_attribute('region')
      }
      return model
    end
    alias :populate_model :build_model
  end
end
