module CsbApi

  # Represents the csb api resultset type "semesters"
  #
  class Semester < CsbApi::Base
    def self.table_name; "semesters"; end

    # populate Semester activerecord instance from this result
    #
    # When Semester instance is omitted, a new instance is returned
    # When Semester instance is set, it is populated and returned
    #
    # @param model [Semester] the instance to populate
    # @return [Semester] the populated instance
    def build_model(model = ::Semester.new)
      model.attributes={
          csb_id: read_attribute('id'),
          csb_updated_at: read_attribute('updated-at'),
          name: read_attribute('name'),
          lessons_start: read_attribute('lessons-start'),
          lessons_end: read_attribute('lessons-end'),
          lessons_half: read_attribute('lessons-half'),
          start: read_attribute('start'),
          finish: read_attribute('finish')
      }
      return model
    end
    alias :populate_model :build_model
  end
end
