class GridMultiColumnWidget < ActionWidget::Base
    # pass like: columns: { my_col: 8, your_col: 4 }
    # produces 2 columns with the given width. add content by calling column(:my_col) do ... end
    # numbers should add up to 12, as bootstrap requires
    property :columns, required: true


    def render(&block)
      @captured_columns = {}
      _content = view.capture(self,&block) || ''.html_safe
      content_tag( :div, class: "row" ) do
        _content + columns.collect do |name,width|
          content_tag(:div, class: "col-xs-12 col-sm-#{width}" ) do
            @captured_columns[name].collect do |column|
              content_tag( :div, class: "row" ) do
                content_tag(:div, class: "col-xs-12" ) do
                  column
                end
              end
            end.join.html_safe
          end
        end.join.html_safe
      end
    end

    def column(name,content = nil,&block)
      @captured_columns[name] ||= []
      @captured_columns[name] << (block_given? ? view.capture(self,&block) : content) and return
    end


end



