class ChangeAllocationColumnsInInstitution < ActiveRecord::Migration
  def change
    ActiveRecord::Base.connection.execute(
        "UPDATE institutions
         SET
          allocation_formula_special_ed_level_1 = floor(full_time_hours/allocation_formula_special_ed_level_1),
          allocation_formula_special_ed_level_2 = floor(full_time_hours/allocation_formula_special_ed_level_2),
          allocation_formula_special_ed_level_3 = floor(full_time_hours/allocation_formula_special_ed_level_3)"
    )

    change_column :institutions, :allocation_formula_special_ed_level_1, :integer
    change_column :institutions, :allocation_formula_special_ed_level_2, :integer
    change_column :institutions, :allocation_formula_special_ed_level_3, :integer

    remove_column :institutions, :full_time_hours
    remove_column :institutions, :allocation_formula
    remove_column :institutions, :allocation_formula_special_ed

    add_column :institution_categories, :allocation_formula_special_ed_level_1, :integer, default: 0
    add_column :institution_categories, :allocation_formula_special_ed_level_2, :integer, default: 0
    add_column :institution_categories, :allocation_formula_special_ed_level_3, :integer, default: 0
  end
end
