class Feature429 < ActiveRecord::Migration
  def change
    create_table :questionnaires do |t|
      t.string :type, null: false
      t.references :portfolio_item, null: false, index: {name: 'idx_quest_on_pi_id'}
      t.references :teacher, null: true, default: nil, index: {name: 'idx_qu_on_t_id'}
      t.references :client, null: true, default:  nil, index: {name: 'idx_qu_on_c_id'}
      t.references :guardian, null: true, default: nil, index: {name: 'idx_qu_on_g_id'}
      t.references :supporter, null: true, default:  nil, index: {name: 'idx_qu_on_s_id'}
      t.string :person_name, null: true
      t.string :teacher_name, null: true
      t.string :client_name, null: true
      t.string :guardian_name, null: true
      t.string :supporter_name, null: true
      t.timestamps
    end
    add_foreign_key :questionnaires, :teachers
    add_foreign_key :questionnaires, :clients
    add_foreign_key :questionnaires, :guardians
    add_foreign_key :questionnaires, :supporters

    create_table :questionnaire_results do |t|
      t.integer :result, null: true, default: nil
      t.references :questionnaire, null: false, index: {name: 'idx_quere_on_qu_id'}
      t.integer :question_order, null: false
      t.integer :question_id, null: false
      t.integer :group_id, null: false
      t.timestamps
    end

    add_foreign_key :questionnaire_results, :questionnaires

  end

end
