# encoding: UTF-8
# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 20171110110551) do

  # These are extensions that must be enabled in order to support this database
  enable_extension "plpgsql"

  create_table "addresses", force: :cascade do |t|
    t.string   "street"
    t.string   "city"
    t.string   "region"
    t.string   "zip"
    t.string   "country"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string   "number"
    t.float    "latitude"
    t.float    "longitude"
  end

  add_index "addresses", ["latitude", "longitude"], name: "index_addresses_on_latitude_and_longitude", unique: true, using: :btree

  create_table "advancement_plan_borrows", force: :cascade do |t|
    t.integer  "advancement_plan_id"
    t.integer  "teacher_id"
    t.integer  "institution_id"
    t.date     "from_date"
    t.date     "to_date"
    t.datetime "created_at",          null: false
    t.datetime "updated_at",          null: false
    t.datetime "returned"
  end

  add_index "advancement_plan_borrows", ["advancement_plan_id"], name: "idx_apb_on_ap_id", using: :btree
  add_index "advancement_plan_borrows", ["institution_id"], name: "index_advancement_plan_borrows_on_institution_id", using: :btree
  add_index "advancement_plan_borrows", ["teacher_id"], name: "index_advancement_plan_borrows_on_teacher_id", using: :btree

  create_table "advancement_plan_imgs", force: :cascade do |t|
    t.string   "name",                null: false
    t.string   "advancement_plan_id", null: false
    t.integer  "width_px",            null: false
    t.integer  "height_px",           null: false
    t.string   "source_url",          null: false
    t.string   "file_type",           null: false
    t.datetime "created_at",          null: false
    t.datetime "updated_at",          null: false
    t.boolean  "is_local"
  end

  create_table "advancement_plan_institution_stocks", force: :cascade do |t|
    t.integer  "advancement_plan_id"
    t.integer  "institution_id"
    t.integer  "stock"
    t.datetime "created_at",          null: false
    t.datetime "updated_at",          null: false
  end

  add_index "advancement_plan_institution_stocks", ["advancement_plan_id"], name: "idx_apis_on_ap_id", using: :btree
  add_index "advancement_plan_institution_stocks", ["institution_id"], name: "index_advancement_plan_institution_stocks_on_institution_id", using: :btree

  create_table "advancement_plans", force: :cascade do |t|
    t.string   "catalog_id",        null: false
    t.string   "title",             null: false
    t.string   "authors"
    t.string   "year"
    t.string   "subtitle"
    t.string   "abbreviation"
    t.integer  "min_level"
    t.integer  "max_level"
    t.text     "short_description"
    t.text     "description"
    t.string   "url"
    t.datetime "created_at",        null: false
    t.datetime "updated_at",        null: false
    t.string   "age_from"
    t.string   "age_to"
    t.string   "no_image_url"
    t.string   "cover_image"
  end

  add_index "advancement_plans", ["title"], name: "index_advancement_plans_on_title", using: :btree

  create_table "auth_items", force: :cascade do |t|
    t.string  "user_type"
    t.string  "type"
    t.boolean "is_default_item", default: false
    t.boolean "is_su_item",      default: true
  end

  create_table "auth_items_roles", force: :cascade do |t|
    t.integer "auth_item_id"
    t.integer "auth_role_id"
  end

  create_table "auth_roles", force: :cascade do |t|
    t.string  "name"
    t.string  "description"
    t.string  "user_type"
    t.boolean "is_default_role"
  end

  create_table "auth_roles_users", force: :cascade do |t|
    t.integer "user_id"
    t.integer "auth_role_id"
  end

  create_table "career_items", force: :cascade do |t|
    t.text     "description"
    t.date     "start_at",          null: false
    t.date     "end_at"
    t.datetime "created_at",        null: false
    t.datetime "updated_at",        null: false
    t.integer  "client_id"
    t.integer  "teacher_id"
    t.integer  "client_group_id"
    t.integer  "change_type",       null: false
    t.integer  "portfolio_level"
    t.integer  "institution_id"
    t.string   "teacher_name"
    t.string   "client_group_name"
    t.string   "institution_name"
    t.date     "effective_date"
  end

  add_index "career_items", ["client_group_id"], name: "index_career_items_on_client_group_id", using: :btree
  add_index "career_items", ["client_id"], name: "index_career_item_on_client_id", using: :btree
  add_index "career_items", ["institution_id"], name: "index_career_items_on_institution_id", using: :btree
  add_index "career_items", ["teacher_id"], name: "index_career_items_on_teacher_id", using: :btree

  create_table "characteristics", force: :cascade do |t|
    t.string   "name"
    t.boolean  "is_positive"
    t.integer  "diagnostic_id"
    t.datetime "created_at",    null: false
    t.datetime "updated_at",    null: false
  end

  create_table "ckeditor_assets", force: :cascade do |t|
    t.string   "data_file_name",               null: false
    t.string   "data_content_type"
    t.integer  "data_file_size"
    t.string   "type",              limit: 30
    t.integer  "width"
    t.integer  "height"
    t.datetime "created_at",                   null: false
    t.datetime "updated_at",                   null: false
  end

  add_index "ckeditor_assets", ["type"], name: "index_ckeditor_assets_on_type", using: :btree

  create_table "client_duplicate_detection_requests", force: :cascade do |t|
    t.integer  "client_duplicate_request_id",                     null: false
    t.string   "vsb_id",                                          null: false
    t.integer  "client_duplicate_detection_query_id",             null: false
    t.date     "bday",                                            null: false
    t.string   "first_name",                                      null: false
    t.string   "last_name",                                       null: false
    t.string   "gender",                                          null: false
    t.integer  "retry_count",                         default: 0
    t.integer  "result_code",                         default: 0
    t.integer  "announcement_result_code",            default: 0
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "announced_duplicate_count"
  end

  add_index "client_duplicate_detection_requests", ["client_duplicate_detection_query_id"], name: "idx_cddr_on_cddq_id", using: :btree
  add_index "client_duplicate_detection_requests", ["client_duplicate_request_id"], name: "idx_cddr_on_cdr_id", using: :btree
  add_index "client_duplicate_detection_requests", ["vsb_id"], name: "idx_cddr_on_v_id", using: :btree

  create_table "client_duplicate_detections", force: :cascade do |t|
    t.integer  "client_duplicate_detection_request_id",             null: false
    t.date     "bday",                                              null: false
    t.integer  "client_id"
    t.string   "duplicate_type",                                    null: false
    t.string   "first_name",                                        null: false
    t.string   "last_name",                                         null: false
    t.string   "gender",                                            null: false
    t.string   "institution_name"
    t.string   "client_group_name"
    t.integer  "retry_count",                           default: 0
    t.integer  "result_code",                           default: 0
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "client_duplicate_request_id"
  end

  add_index "client_duplicate_detections", ["client_duplicate_detection_request_id"], name: "idx_cdd_on_cddr_id", using: :btree
  add_index "client_duplicate_detections", ["client_duplicate_request_id"], name: "client_duplicate_detections_client_duplicate_request_id_uindex", unique: true, using: :btree
  add_index "client_duplicate_detections", ["client_id"], name: "idx_cdd_on_cl_id", unique: true, using: :btree

  create_table "client_duplicate_requests", force: :cascade do |t|
    t.string   "first_name",                                             null: false
    t.string   "last_name",                                              null: false
    t.date     "bday",                                                   null: false
    t.string   "gender",                                                 null: false
    t.text     "request",                                                null: false
    t.integer  "result_code",                                default: 0, null: false
    t.integer  "retry_count",                                default: 0, null: false
    t.integer  "client_duplicate_responses_count",           default: 0, null: false
    t.integer  "announced_client_duplicate_responses_count"
    t.datetime "created_at",                                             null: false
    t.datetime "updated_at",                                             null: false
  end

  create_table "client_duplicate_responses", force: :cascade do |t|
    t.integer "client_duplicate_request_id"
    t.string  "vsb_id",                      null: false
    t.string  "first_name",                  null: false
    t.string  "last_name",                   null: false
    t.date    "bday",                        null: false
    t.string  "gender",                      null: false
    t.string  "institution_name"
    t.string  "client_group_name"
    t.string  "duplicate_type",              null: false
    t.integer "client_id"
  end

  add_index "client_duplicate_responses", ["client_duplicate_request_id"], name: "idx_cdres_on_cdreq_id", using: :btree
  add_index "client_duplicate_responses", ["vsb_id", "client_id", "duplicate_type"], name: "idx_cdr_on_cdd_id_v_id", unique: true, using: :btree
  add_index "client_duplicate_responses", ["vsb_id"], name: "idx_cdres_on_v_id", using: :btree

  create_table "client_educational_course_histories", force: :cascade do |t|
    t.integer  "client_id"
    t.string   "course_stage_name"
    t.integer  "duration_days"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "client_group_histories", force: :cascade do |t|
    t.integer  "client_group_id"
    t.integer  "teacher_id"
    t.text     "description"
    t.date     "start_date"
    t.date     "end_date"
    t.datetime "created_at",      null: false
    t.datetime "updated_at",      null: false
  end

  add_index "client_group_histories", ["client_group_id"], name: "index_client_group_histories_on_client_group_id", using: :btree
  add_index "client_group_histories", ["teacher_id"], name: "index_client_group_histories_on_teacher_id", using: :btree

  create_table "client_groups", force: :cascade do |t|
    t.string   "name"
    t.text     "description"
    t.integer  "teacher_id"
    t.integer  "institution_id"
    t.integer  "clients_total"
    t.datetime "created_at",                              null: false
    t.datetime "updated_at",                              null: false
    t.integer  "semester_id"
    t.integer  "special_education_hours"
    t.integer  "normal_education_hours"
    t.integer  "running_portfolio_id"
    t.integer  "portfolio_level",             default: 0
    t.integer  "predecessor_client_group_id"
  end

  add_index "client_groups", ["institution_id"], name: "index_client_groups_on_institution_id", using: :btree
  add_index "client_groups", ["running_portfolio_id"], name: "index_client_groups_on_running_portfolio_id", using: :btree
  add_index "client_groups", ["semester_id"], name: "index_client_groups_on_semester_id", using: :btree
  add_index "client_groups", ["teacher_id", "semester_id"], name: "index_client_groups_on_teacher_id_and_semester_id", unique: true, using: :btree
  add_index "client_groups", ["teacher_id"], name: "index_client_groups_on_teacher_id", using: :btree

  create_table "client_groups_educational_course_rules", id: false, force: :cascade do |t|
    t.integer "client_group_id"
    t.integer "educational_course_rule_id"
  end

  create_table "client_guardian_relations", force: :cascade do |t|
    t.integer  "client_id"
    t.integer  "guardian_id"
    t.datetime "created_at",  null: false
    t.datetime "updated_at",  null: false
    t.boolean  "has_custody"
    t.integer  "category"
  end

  add_index "client_guardian_relations", ["client_id"], name: "index_client_guardian_relations_on_client_id", using: :btree
  add_index "client_guardian_relations", ["guardian_id"], name: "index_client_guardian_relations_on_guardian_id", using: :btree

  create_table "client_phonetics", force: :cascade do |t|
    t.integer "client_id"
    t.string  "last_name_koelner_phonetic_hash"
    t.string  "last_name_double_metaphone_pri_hash"
    t.string  "last_name_double_metaphone_alt_hash"
    t.string  "first_name_koelner_phonetic_hash"
    t.string  "first_name_double_metaphone_pri_hash"
    t.string  "first_name_double_metaphone_alt_hash"
  end

  add_index "client_phonetics", ["client_id"], name: "index_client_phonetics_on_client_id", unique: true, using: :btree
  add_index "client_phonetics", ["first_name_double_metaphone_alt_hash"], name: "index_client_phonetics_on_first_name_double_metaphone_alt_hash", using: :btree
  add_index "client_phonetics", ["first_name_double_metaphone_pri_hash"], name: "index_client_phonetics_on_first_name_double_metaphone_pri_hash", using: :btree
  add_index "client_phonetics", ["first_name_koelner_phonetic_hash"], name: "index_client_phonetics_on_first_name_koelner_phonetic_hash", using: :btree
  add_index "client_phonetics", ["last_name_double_metaphone_alt_hash"], name: "index_client_phonetics_on_last_name_double_metaphone_alt_hash", using: :btree
  add_index "client_phonetics", ["last_name_double_metaphone_pri_hash"], name: "index_client_phonetics_on_last_name_double_metaphone_pri_hash", using: :btree
  add_index "client_phonetics", ["last_name_koelner_phonetic_hash"], name: "index_client_phonetics_on_last_name_koelner_phonetic_hash", using: :btree

  create_table "client_supporter_relations", force: :cascade do |t|
    t.integer  "client_id"
    t.integer  "supporter_id"
    t.text     "description"
    t.datetime "created_at",   null: false
    t.datetime "updated_at",   null: false
    t.integer  "author_id"
    t.string   "author_type"
    t.integer  "editor_id"
    t.string   "editor_type"
  end

  add_index "client_supporter_relations", ["client_id"], name: "index_client_supporter_relations_on_client_id", using: :btree
  add_index "client_supporter_relations", ["supporter_id"], name: "index_client_supporter_relations_on_supporter_id", using: :btree

  create_table "clients", force: :cascade do |t|
    t.string   "first_name"
    t.string   "last_name"
    t.integer  "gender"
    t.text     "description"
    t.date     "bday"
    t.datetime "created_at",                                      null: false
    t.datetime "updated_at",                                      null: false
    t.datetime "deleted_at"
    t.string   "birth_place"
    t.string   "nationality"
    t.date     "school_attendance_since"
    t.integer  "school_attendance_since_article"
    t.boolean  "school_attendance_postponed"
    t.string   "denomination"
    t.string   "language"
    t.integer  "institution_id"
    t.integer  "teacher_id"
    t.integer  "client_group_id"
    t.integer  "portfolio_level",                 default: 0,     null: false
    t.string   "full_name_search"
    t.integer  "address_id"
    t.integer  "next_semester_client_group_id"
    t.integer  "client_duplicate_request_id"
    t.boolean  "is_former_client",                default: false
    t.integer  "running_portfolio_id"
    t.datetime "client_group_last_change"
  end

  add_index "clients", ["client_duplicate_request_id"], name: "index_clients_on_client_duplicate_request_id", unique: true, using: :btree
  add_index "clients", ["client_group_id"], name: "index_clients_on_client_group_id", using: :btree
  add_index "clients", ["deleted_at"], name: "index_people_on_deleted_at", using: :btree
  add_index "clients", ["institution_id"], name: "index_clients_on_institution_id", using: :btree
  add_index "clients", ["running_portfolio_id"], name: "index_clients_on_running_portfolio_id", using: :btree
  add_index "clients", ["teacher_id"], name: "index_clients_on_teacher_id", using: :btree

  create_table "diagnostic_borrows", force: :cascade do |t|
    t.integer  "diagnostic_id"
    t.integer  "teacher_id"
    t.integer  "institution_id"
    t.date     "from_date"
    t.date     "to_date"
    t.datetime "created_at",     null: false
    t.datetime "updated_at",     null: false
    t.datetime "returned"
  end

  add_index "diagnostic_borrows", ["diagnostic_id"], name: "index_diagnostic_borrows_on_diagnostic_id", using: :btree
  add_index "diagnostic_borrows", ["institution_id"], name: "index_diagnostic_borrows_on_institution_id", using: :btree
  add_index "diagnostic_borrows", ["teacher_id"], name: "index_diagnostic_borrows_on_teacher_id", using: :btree

  create_table "diagnostic_imgs", force: :cascade do |t|
    t.string   "name",          null: false
    t.integer  "diagnostic_id", null: false
    t.integer  "width_px",      null: false
    t.integer  "height_px",     null: false
    t.datetime "created_at",    null: false
    t.datetime "updated_at",    null: false
    t.string   "source_url",    null: false
    t.string   "file_type",     null: false
    t.boolean  "is_local"
  end

  create_table "diagnostic_institution_stocks", force: :cascade do |t|
    t.integer  "diagnostic_id"
    t.integer  "institution_id"
    t.integer  "stock"
    t.datetime "created_at",     null: false
    t.datetime "updated_at",     null: false
  end

  add_index "diagnostic_institution_stocks", ["diagnostic_id"], name: "index_diagnostic_institution_stocks_on_diagnostic_id", using: :btree
  add_index "diagnostic_institution_stocks", ["institution_id"], name: "index_diagnostic_institution_stocks_on_institution_id", using: :btree

  create_table "diagnostics", force: :cascade do |t|
    t.string   "catalog_id",           null: false
    t.string   "title",                null: false
    t.string   "authors"
    t.string   "year"
    t.string   "subtitle"
    t.string   "abbreviation"
    t.integer  "min_level"
    t.integer  "max_level"
    t.text     "short_description"
    t.text     "description"
    t.string   "url"
    t.boolean  "is_range_okologie",    null: false
    t.boolean  "is_range_integration", null: false
    t.boolean  "is_range_intensitat",  null: false
    t.datetime "created_at",           null: false
    t.datetime "updated_at",           null: false
    t.string   "age_from"
    t.string   "age_to"
    t.string   "no_image_url"
    t.string   "cover_image"
  end

  add_index "diagnostics", ["title"], name: "index_diagnostics_on_title", using: :btree

  create_table "documents", force: :cascade do |t|
    t.integer  "category"
    t.string   "file"
    t.integer  "attachable_id"
    t.string   "attachable_type"
    t.datetime "created_at",      null: false
    t.datetime "updated_at",      null: false
  end

  create_table "educational_course_rules", force: :cascade do |t|
    t.string   "course_stage_name"
    t.string   "name"
    t.integer  "min_duration_years"
    t.integer  "max_duration_years"
    t.string   "educational_course_id", null: false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "educational_course_rules", ["course_stage_name", "educational_course_id"], name: "idx_ecr_on_csn_and_ec_id", unique: true, using: :btree
  add_index "educational_course_rules", ["educational_course_id"], name: "idx_ecr_on_ec_id", using: :btree

  create_table "educational_courses", force: :cascade do |t|
    t.string "name"
    t.date   "valid_from"
  end

  create_table "educational_courses_institutions", id: false, force: :cascade do |t|
    t.string  "educational_course_id", null: false
    t.integer "institution_id"
  end

  add_index "educational_courses_institutions", ["educational_course_id"], name: "idx_eci_on_ec_id", using: :btree

  create_table "evaluation_involved_guardians", force: :cascade do |t|
    t.integer "portfolio_item_evaluation_id", null: false
    t.integer "guardian_id",                  null: false
  end

  add_index "evaluation_involved_guardians", ["guardian_id"], name: "idx_eig_on_g_id", using: :btree
  add_index "evaluation_involved_guardians", ["portfolio_item_evaluation_id"], name: "idx_eig_on_pie_id", using: :btree

  create_table "evaluation_involved_persons", force: :cascade do |t|
    t.string  "name",                         null: false
    t.integer "portfolio_item_evaluation_id", null: false
  end

  add_index "evaluation_involved_persons", ["portfolio_item_evaluation_id"], name: "idx_eip_on_pit_id", using: :btree

  create_table "evaluation_involved_supporters", force: :cascade do |t|
    t.integer "portfolio_item_evaluation_id", null: false
    t.integer "supporter_id",                 null: false
  end

  add_index "evaluation_involved_supporters", ["portfolio_item_evaluation_id"], name: "idx_eis_on_pie_id", using: :btree
  add_index "evaluation_involved_supporters", ["supporter_id"], name: "idx_eis_on_s_id", using: :btree

  create_table "evaluation_involved_teachers", force: :cascade do |t|
    t.integer "portfolio_item_evaluation_id"
    t.integer "teacher_id"
  end

  create_table "guardians", force: :cascade do |t|
    t.string   "first_name"
    t.string   "last_name"
    t.integer  "gender"
    t.string   "email"
    t.string   "phone"
    t.string   "mobile"
    t.datetime "created_at",               null: false
    t.datetime "updated_at",               null: false
    t.integer  "address_id"
    t.string   "first_name_phonetic_code"
    t.string   "last_name_phonetic_code"
  end

  create_table "institution_categories", force: :cascade do |t|
    t.string   "name"
    t.text     "description"
    t.datetime "created_at",                            null: false
    t.datetime "updated_at",                            null: false
    t.string   "institution_type"
    t.string   "region"
    t.string   "vid"
    t.integer  "normal_education_hours_weekly"
    t.integer  "special_education_hours_weekly"
    t.integer  "spare_hours_weekly"
    t.integer  "allocation_formula_special_ed_level_1"
    t.integer  "allocation_formula_special_ed_level_2"
    t.integer  "allocation_formula_special_ed_level_3"
  end

  create_table "institution_hierarchies", force: :cascade do |t|
    t.integer "parent_id"
    t.integer "child_id"
  end

  add_index "institution_hierarchies", ["child_id"], name: "index_institution_hierarchies_on_child_id", using: :btree
  add_index "institution_hierarchies", ["parent_id"], name: "index_institution_hierarchies_on_parent_id", using: :btree

  create_table "institutions", force: :cascade do |t|
    t.string   "name"
    t.string   "school_no"
    t.string   "email"
    t.string   "fax"
    t.string   "website"
    t.text     "comment"
    t.text     "description"
    t.integer  "institution_category_id"
    t.datetime "created_at",                            null: false
    t.datetime "updated_at",                            null: false
    t.integer  "parent_id"
    t.integer  "address_id"
    t.string   "phone"
    t.boolean  "is_root"
    t.integer  "allocation_formula_special_ed_level_1"
    t.integer  "allocation_formula_special_ed_level_2"
    t.integer  "allocation_formula_special_ed_level_3"
    t.string   "institution_type",                      null: false
    t.string   "logo"
  end

  add_index "institutions", ["address_id"], name: "index_institutions_on_address_id", using: :btree
  add_index "institutions", ["institution_category_id"], name: "index_institutions_on_institution_category_id", using: :btree

  create_table "managers", force: :cascade do |t|
    t.string  "first_name"
    t.string  "last_name"
    t.integer "gender"
    t.string  "email"
    t.string  "phone"
    t.string  "mobile"
    t.string  "fax"
    t.string  "website"
    t.integer "institution_id"
    t.boolean "can_log_in",     default: true
  end

  create_table "norm_scales", force: :cascade do |t|
    t.string   "name"
    t.float    "range_from"
    t.float    "range_to"
    t.float    "std_dev"
    t.float    "avg"
    t.float    "cut_off_low"
    t.float    "cut_off_sub_avg"
    t.float    "cut_off_above_avg"
    t.float    "cut_off_high"
    t.string   "catalog_fields"
    t.integer  "diagnostic_id"
    t.datetime "created_at",        null: false
    t.datetime "updated_at",        null: false
  end

  create_table "notifications", force: :cascade do |t|
    t.text     "content"
    t.datetime "start_at"
    t.integer  "notificationable_id"
    t.string   "notificationable_type"
    t.datetime "created_at",                      null: false
    t.datetime "updated_at",                      null: false
    t.integer  "prio"
    t.string   "identifier"
    t.datetime "due_at"
    t.datetime "deleted_at"
    t.integer  "institution_id"
    t.integer  "client_id"
    t.integer  "secondary_notificationable_id"
    t.string   "secondary_notificationable_type"
  end

  add_index "notifications", ["client_id"], name: "index_notifications_on_client_id", using: :btree
  add_index "notifications", ["deleted_at"], name: "index_notifications_on_deleted_at", using: :btree
  add_index "notifications", ["institution_id"], name: "index_notifications_on_institution_id", using: :btree
  add_index "notifications", ["notificationable_id", "notificationable_type"], name: "idx_notifications_on_type_and_id", using: :btree

  create_table "online_diagnostic_urls", force: :cascade do |t|
    t.string   "online_diagnostic_id", null: false
    t.string   "name"
    t.string   "url"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "online_diagnostic_urls", ["online_diagnostic_id"], name: "idx_odu_on_od_id", using: :btree

  create_table "online_diagnostics", force: :cascade do |t|
    t.string   "title"
    t.string   "abbreviation"
    t.integer  "min_level"
    t.integer  "max_level"
    t.string   "description"
    t.integer  "remote_id"
    t.integer  "age_from"
    t.integer  "age_to"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "portfolio_conditions", id: :bigserial, force: :cascade do |t|
    t.integer "rule_id",               limit: 8
    t.text    "item_matchers"
    t.text    "actions"
    t.boolean "exit_portfolio"
    t.integer "next_position"
    t.string  "description"
    t.string  "title"
    t.string  "portfolio_matchers"
    t.string  "portfolio_rule_set_id"
  end

  create_table "portfolio_conditions_steps", id: :bigserial, force: :cascade do |t|
    t.integer "condition_id",          limit: 8
    t.integer "step_id",               limit: 8
    t.string  "portfolio_rule_set_id"
  end

  create_table "portfolio_document_types", id: :bigserial, force: :cascade do |t|
    t.string   "name"
    t.datetime "created_at",            null: false
    t.string   "title"
    t.string   "portfolio_rule_set_id"
  end

  create_table "portfolio_documents", force: :cascade do |t|
    t.integer  "portfolio_item_id"
    t.string   "document_type"
    t.string   "file_name"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer  "portfolio_document_type_id", limit: 8
  end

  create_table "portfolio_item_advancement_plans", force: :cascade do |t|
    t.integer  "portfolio_item_id"
    t.integer  "advancement_plan_id"
    t.text     "content"
    t.date     "begin"
    t.datetime "created_at",                 null: false
    t.datetime "updated_at",                 null: false
    t.integer  "advancement_plan_borrow_id"
  end

  add_index "portfolio_item_advancement_plans", ["advancement_plan_borrow_id"], name: "idx_pid_on_ap_id", using: :btree

  create_table "portfolio_item_class_diagnostics", force: :cascade do |t|
    t.date     "begin"
    t.text     "content"
    t.string   "diagnostic_id",                     null: false
    t.integer  "portfolio_item_id"
    t.boolean  "results_closed",    default: false
    t.integer  "age_from"
    t.integer  "age_to"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "portfolio_item_class_diagnostics", ["diagnostic_id"], name: "idx_picd_on_od_id", using: :btree

  create_table "portfolio_item_diagnostic_informal_result_documents", force: :cascade do |t|
    t.string   "file_name"
    t.integer  "portfolio_item_diagnostic_informal_result_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "portfolio_item_diagnostic_informal_result_documents", ["portfolio_item_diagnostic_informal_result_id"], name: "idx_pidird_on_pidir_id", using: :btree

  create_table "portfolio_item_diagnostic_informal_result_guardians", force: :cascade do |t|
    t.integer "guardian_id"
    t.integer "portfolio_item_diagnostic_informal_result_id"
  end

  add_index "portfolio_item_diagnostic_informal_result_guardians", ["guardian_id"], name: "idx_pidirg_on_g_id", using: :btree
  add_index "portfolio_item_diagnostic_informal_result_guardians", ["portfolio_item_diagnostic_informal_result_id"], name: "idx_pidirg_on_pidir_id", using: :btree

  create_table "portfolio_item_diagnostic_informal_result_people", force: :cascade do |t|
    t.string  "name"
    t.integer "portfolio_item_diagnostic_informal_result_id"
  end

  add_index "portfolio_item_diagnostic_informal_result_people", ["portfolio_item_diagnostic_informal_result_id"], name: "idx_pidirp_on_pidir_id", using: :btree

  create_table "portfolio_item_diagnostic_informal_result_supporters", force: :cascade do |t|
    t.integer "supporter_id"
    t.integer "portfolio_item_diagnostic_informal_result_id"
  end

  add_index "portfolio_item_diagnostic_informal_result_supporters", ["portfolio_item_diagnostic_informal_result_id"], name: "idx_pidirs_on_pidir_id", using: :btree
  add_index "portfolio_item_diagnostic_informal_result_supporters", ["supporter_id"], name: "idx_pidirs_on_s_id", using: :btree

  create_table "portfolio_item_diagnostic_informal_result_teachers", force: :cascade do |t|
    t.integer "teacher_id"
    t.integer "portfolio_item_diagnostic_informal_result_id"
  end

  add_index "portfolio_item_diagnostic_informal_result_teachers", ["portfolio_item_diagnostic_informal_result_id"], name: "idx_pidirt_on_pidir_id", using: :btree
  add_index "portfolio_item_diagnostic_informal_result_teachers", ["teacher_id"], name: "idx_pidirt_on_t_id", using: :btree

  create_table "portfolio_item_diagnostic_informal_results", force: :cascade do |t|
    t.text     "result"
    t.integer  "diagnostic_result_acceptor_id"
    t.string   "diagnostic_result_acceptor_type"
    t.boolean  "subject_involved"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "portfolio_item_diagnostic_informal_results", ["diagnostic_result_acceptor_type", "diagnostic_result_acceptor_id"], name: "idx_pidir_on_dia_id", using: :btree

  create_table "portfolio_item_diagnostic_measurements", force: :cascade do |t|
    t.date     "begin"
    t.text     "content"
    t.integer  "portfolio_item_id"
    t.boolean  "results_closed",    default: false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "portfolio_item_diagnostic_measurements", ["portfolio_item_id"], name: "idx_pidm_on_pi_id", using: :btree

  create_table "portfolio_item_diagnostic_results", force: :cascade do |t|
    t.integer  "characteristic_id"
    t.integer  "norm_scale_id"
    t.float    "result"
    t.datetime "created_at",                                   null: false
    t.datetime "updated_at",                                   null: false
    t.integer  "portfolio_item_diagnostic_informal_result_id"
  end

  add_index "portfolio_item_diagnostic_results", ["portfolio_item_diagnostic_informal_result_id"], name: "idx_pidr_on_pidir_id", using: :btree

  create_table "portfolio_item_diagnostics", force: :cascade do |t|
    t.integer  "portfolio_item_id"
    t.integer  "diagnostic_id"
    t.date     "begin"
    t.text     "content"
    t.datetime "created_at",                           null: false
    t.datetime "updated_at",                           null: false
    t.boolean  "results_closed",       default: false
    t.integer  "diagnostic_borrow_id"
  end

  add_index "portfolio_item_diagnostics", ["diagnostic_borrow_id"], name: "idx_pid_on_db_id", using: :btree

  create_table "portfolio_item_evaluation_dbr_characteristics", force: :cascade do |t|
    t.integer "portfolio_item_evaluation_dbr_id"
    t.string  "name"
    t.boolean "increase_is_positive"
  end

  create_table "portfolio_item_evaluation_dbr_results", force: :cascade do |t|
    t.integer  "portfolio_item_evaluation_dbr_id"
    t.integer  "portfolio_item_evaluation_dbr_characteristic_id"
    t.datetime "time"
    t.float    "value"
    t.integer  "line_idx",                                        default: 0
  end

  create_table "portfolio_item_evaluation_dbrs", force: :cascade do |t|
    t.float   "range_begin"
    t.float   "range_end"
    t.string  "setting_social"
    t.string  "setting_time"
    t.integer "number_of_data_points"
    t.integer "baselines_amount",      default: 0
  end

  create_table "portfolio_item_evaluations", force: :cascade do |t|
    t.text     "additions"
    t.datetime "created_at",                                                                       null: false
    t.datetime "updated_at",                                                                       null: false
    t.date     "end_date",                                                                         null: false
    t.date     "start_date"
    t.string   "result_scheme",                    default: "Portfolio::ItemTargetResult::Binary", null: false
    t.boolean  "client_involved",                  default: false,                                 null: false
    t.integer  "portfolio_item_target_id"
    t.integer  "portfolio_item_evaluation_dbr_id"
  end

  create_table "portfolio_item_involved_guardians", force: :cascade do |t|
    t.integer  "guardian_id",       null: false
    t.integer  "portfolio_item_id", null: false
    t.datetime "created_at",        null: false
    t.datetime "updated_at",        null: false
  end

  add_index "portfolio_item_involved_guardians", ["guardian_id", "portfolio_item_id"], name: "idx_portfolio_item_involved_guardians_unq_1", unique: true, using: :btree
  add_index "portfolio_item_involved_guardians", ["guardian_id"], name: "index_portfolio_item_involved_guardians_on_guardian_id", using: :btree
  add_index "portfolio_item_involved_guardians", ["portfolio_item_id"], name: "index_portfolio_item_involved_guardians_on_portfolio_item_id", using: :btree

  create_table "portfolio_item_involved_people", force: :cascade do |t|
    t.string  "name",              null: false
    t.integer "portfolio_item_id", null: false
  end

  add_index "portfolio_item_involved_people", ["portfolio_item_id"], name: "idx_piip_on_pi_id", using: :btree

  create_table "portfolio_item_involved_supporters", force: :cascade do |t|
    t.integer "portfolio_item_id", null: false
    t.integer "supporter_id",      null: false
  end

  add_index "portfolio_item_involved_supporters", ["portfolio_item_id"], name: "idx_piis_on_pi_id", using: :btree
  add_index "portfolio_item_involved_supporters", ["supporter_id"], name: "idx_piis_on_s_id", using: :btree

  create_table "portfolio_item_involved_teachers", force: :cascade do |t|
    t.integer  "teacher_id",                        null: false
    t.integer  "portfolio_item_id",                 null: false
    t.datetime "created_at",                        null: false
    t.datetime "updated_at",                        null: false
    t.boolean  "class_teacher",     default: false
    t.boolean  "management",        default: false
    t.boolean  "special_ed",        default: false
    t.boolean  "support_teacher",   default: false
  end

  add_index "portfolio_item_involved_teachers", ["portfolio_item_id"], name: "index_portfolio_item_involved_teachers_on_portfolio_item_id", using: :btree
  add_index "portfolio_item_involved_teachers", ["teacher_id", "portfolio_item_id"], name: "idx_portfolio_item_involved_teachers_unq_1", unique: true, using: :btree
  add_index "portfolio_item_involved_teachers", ["teacher_id"], name: "index_portfolio_item_involved_teachers_on_teacher_id", using: :btree

  create_table "portfolio_item_measurements", force: :cascade do |t|
    t.integer  "portfolio_item_id", null: false
    t.text     "content"
    t.date     "begin"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "portfolio_item_measurements", ["portfolio_item_id"], name: "idx_pim_on_pi_id", using: :btree

  create_table "portfolio_item_target_results", force: :cascade do |t|
    t.string   "result_scheme",            default: "Portfolio::ItemTargetResult::Binary", null: false
    t.integer  "result_value"
    t.boolean  "is_successful",            default: false,                                 null: false
    t.text     "result_comment"
    t.integer  "portfolio_item_target_id",                                                 null: false
    t.integer  "evaluative_id",                                                            null: false
    t.string   "evaluative_type",                                                          null: false
    t.datetime "created_at",                                                               null: false
    t.datetime "updated_at",                                                               null: false
  end

  add_index "portfolio_item_target_results", ["evaluative_type", "evaluative_id"], name: "idx_pitr_on_pers_id", using: :btree
  add_index "portfolio_item_target_results", ["portfolio_item_target_id"], name: "idx_pitr_on_pit_id", using: :btree

  create_table "portfolio_item_targets", force: :cascade do |t|
    t.text     "content",                           null: false
    t.text     "result_comment"
    t.boolean  "is_successful",     default: false, null: false
    t.boolean  "evaluate",          default: false, null: false
    t.integer  "portfolio_item_id",                 null: false
    t.datetime "created_at",                        null: false
    t.datetime "updated_at",                        null: false
  end

  add_index "portfolio_item_targets", ["portfolio_item_id"], name: "idx_pit_on_pi_id", using: :btree

  create_table "portfolio_items", force: :cascade do |t|
    t.integer  "portfolio_step_id",              limit: 8,                 null: false
    t.integer  "level",                                    default: 0,     null: false
    t.integer  "portfolio_specialization_id"
    t.date     "start",                                                    null: false
    t.text     "content"
    t.text     "target_agreement"
    t.boolean  "parent_teacher_conference",                default: false, null: false
    t.boolean  "management_conference",                    default: false, null: false
    t.integer  "portfolio_step_result_id",       limit: 8
    t.integer  "client_id"
    t.datetime "created_at",                                               null: false
    t.datetime "updated_at",                                               null: false
    t.integer  "position"
    t.date     "parent_teacher_conference_date"
    t.date     "management_conference_date"
    t.boolean  "raise_portfolio_level",                    default: false, null: false
    t.boolean  "client_involved",                          default: false, null: false
    t.boolean  "content_is_attached",                      default: false, null: false
    t.integer  "new_portfolio_level"
    t.date     "new_portfolio_level_date"
    t.boolean  "creator_involved"
    t.integer  "author_id"
    t.string   "author_type"
    t.integer  "editor_id"
    t.string   "editor_type"
    t.boolean  "closed",                                   default: false
    t.integer  "portfolio_id"
  end

  add_index "portfolio_items", ["client_id", "position"], name: "index_portfolio_items_on_client_id_and_position", unique: true, using: :btree
  add_index "portfolio_items", ["client_id"], name: "index_portfolio_items_on_client_id", using: :btree
  add_index "portfolio_items", ["portfolio_id"], name: "index_portfolio_items_on_portfolio_id", using: :btree
  add_index "portfolio_items", ["portfolio_specialization_id"], name: "index_portfolio_items_on_portfolio_specialization_id", using: :btree
  add_index "portfolio_items", ["portfolio_step_id"], name: "index_portfolio_items_on_portfolio_step_id", using: :btree
  add_index "portfolio_items", ["portfolio_step_result_id"], name: "index_portfolio_items_on_portfolio_step_result_id", using: :btree

  create_table "portfolio_rule_steps", id: :bigserial, force: :cascade do |t|
    t.integer "rule_id",               limit: 8
    t.integer "step_id",               limit: 8
    t.boolean "allowed"
    t.string  "portfolio_rule_set_id"
  end

  create_table "portfolio_rules", id: :bigserial, force: :cascade do |t|
    t.integer  "position"
    t.integer  "time_span"
    t.integer  "level"
    t.text     "description"
    t.datetime "created_at",            null: false
    t.string   "notifiers"
    t.string   "portfolio_rule_set_id"
  end

  create_table "portfolio_specializations", force: :cascade do |t|
    t.string   "name"
    t.string   "abbreviation"
    t.datetime "created_at",   null: false
    t.datetime "updated_at",   null: false
  end

  create_table "portfolio_step_results", id: :bigserial, force: :cascade do |t|
    t.string   "name"
    t.integer  "step_id",               limit: 8
    t.datetime "created_at",                      null: false
    t.string   "char"
    t.boolean  "raises_level"
    t.string   "portfolio_rule_set_id"
  end

  create_table "portfolio_steps", id: :bigserial, force: :cascade do |t|
    t.string   "name"
    t.string   "optionals"
    t.string   "requirements"
    t.integer  "evaluation_time_span_min"
    t.integer  "evaluation_time_span_max"
    t.text     "description"
    t.datetime "created_at",               null: false
    t.string   "type"
    t.string   "portfolio_matchers"
    t.string   "requirements_description"
    t.string   "portfolio_rule_set_id"
  end

  create_table "portfolios", force: :cascade do |t|
    t.integer  "subject_id"
    t.string   "subject_type"
    t.string   "rule_set_id"
    t.integer  "portfolio_level"
    t.date     "rule_set_date"
    t.datetime "created_at",      default: '2017-07-04 08:08:08', null: false
    t.datetime "updated_at"
  end

  add_index "portfolios", ["rule_set_id"], name: "index_portfolios_on_rule_set_id", using: :btree
  add_index "portfolios", ["subject_type", "subject_id"], name: "index_portfolios_on_subject_type_and_subject_id", using: :btree

  create_table "queue_classic_jobs", id: :bigserial, force: :cascade do |t|
    t.text     "q_name",                                       null: false
    t.text     "method",                                       null: false
    t.json     "args",                                         null: false
    t.datetime "locked_at"
    t.integer  "locked_by"
    t.datetime "created_at",   default: '2017-07-04 08:08:09'
    t.datetime "scheduled_at", default: '2017-07-04 08:08:09'
  end

  add_index "queue_classic_jobs", ["q_name", "id"], name: "idx_qc_on_name_only_unlocked", where: "(locked_at IS NULL)", using: :btree
  add_index "queue_classic_jobs", ["scheduled_at", "id"], name: "idx_qc_on_scheduled_at_only_unlocked", where: "(locked_at IS NULL)", using: :btree

  create_table "semesters", force: :cascade do |t|
    t.string   "name"
    t.date     "lessons_start"
    t.date     "lessons_end"
    t.datetime "created_at",     null: false
    t.datetime "updated_at",     null: false
    t.date     "lessons_half"
    t.date     "start"
    t.date     "finish"
    t.datetime "csb_updated_at"
    t.integer  "csb_id"
  end

  create_table "supporters", force: :cascade do |t|
    t.string   "first_name"
    t.string   "last_name"
    t.integer  "gender"
    t.string   "email"
    t.string   "phone"
    t.string   "mobile"
    t.text     "description"
    t.integer  "institution_id"
    t.datetime "created_at",     null: false
    t.datetime "updated_at",     null: false
    t.integer  "title"
    t.string   "position"
    t.string   "fax"
  end

  add_index "supporters", ["institution_id"], name: "index_supporters_on_institution_id", using: :btree

  create_table "system_settings", force: :cascade do |t|
    t.string  "region"
    t.string  "name"
    t.integer "semester_id"
    t.boolean "setup_finished", default: false
    t.string  "version"
  end

  create_table "system_tasks", force: :cascade do |t|
    t.integer  "target_id"
    t.string   "target_type"
    t.integer  "client_id"
    t.integer  "institution_id"
    t.integer  "escalation_level"
    t.datetime "next_escalation"
    t.integer  "escalation_delay"
    t.string   "type"
    t.string   "title"
    t.string   "message"
    t.string   "label"
    t.datetime "start_at"
    t.datetime "due_at"
    t.string   "resolve_location"
  end

  add_index "system_tasks", ["client_id"], name: "index_system_tasks_on_client_id", using: :btree
  add_index "system_tasks", ["due_at"], name: "index_system_tasks_on_due_at", using: :btree
  add_index "system_tasks", ["institution_id"], name: "index_system_tasks_on_institution_id", using: :btree
  add_index "system_tasks", ["next_escalation"], name: "index_system_tasks_on_next_escalation", using: :btree
  add_index "system_tasks", ["start_at"], name: "index_system_tasks_on_start_at", using: :btree
  add_index "system_tasks", ["target_id", "target_type"], name: "index_system_tasks_on_target_id_and_target_type", using: :btree

  create_table "teacher_categories", force: :cascade do |t|
    t.string   "name"
    t.text     "description"
    t.datetime "created_at",                         null: false
    t.datetime "updated_at",                         null: false
    t.boolean  "is_special_ed",      default: false, null: false
    t.boolean  "is_support_teacher", default: false, null: false
  end

  create_table "teacher_institution_categories", force: :cascade do |t|
    t.string  "name",                            null: false
    t.string  "description"
    t.boolean "is_management",   default: false, null: false
    t.boolean "is_school_admin"
  end

  create_table "teacher_institution_relations", force: :cascade do |t|
    t.integer  "teacher_id"
    t.integer  "institution_id"
    t.datetime "created_at",                      null: false
    t.datetime "updated_at",                      null: false
    t.integer  "special_education_part_time"
    t.integer  "normal_education_part_time"
    t.integer  "teacher_institution_category_id"
    t.integer  "portfolio_specialization_id"
    t.integer  "spare_time"
  end

  add_index "teacher_institution_relations", ["institution_id"], name: "index_teacher_institution_relations_on_institution_id", using: :btree
  add_index "teacher_institution_relations", ["teacher_id"], name: "index_teacher_institution_relations_on_teacher_id", using: :btree

  create_table "teachers", force: :cascade do |t|
    t.string   "first_name"
    t.string   "last_name"
    t.integer  "gender"
    t.string   "email"
    t.string   "phone"
    t.string   "mobile"
    t.string   "fax"
    t.string   "website"
    t.datetime "created_at",                         null: false
    t.datetime "updated_at",                         null: false
    t.integer  "teacher_category_id"
    t.datetime "deleted_at"
    t.boolean  "can_log_in",          default: true
  end

  add_index "teachers", ["deleted_at"], name: "index_teachers_on_deleted_at", using: :btree
  add_index "teachers", ["teacher_category_id"], name: "index_teachers_on_teacher_category_id", using: :btree

  create_table "user_messages", force: :cascade do |t|
    t.integer  "recipient_id"
    t.string   "recipient_type"
    t.integer  "sender_id"
    t.string   "sender_type"
    t.integer  "system_task_id"
    t.integer  "message_box"
    t.integer  "message_type"
    t.string   "subject_text"
    t.text     "content"
    t.integer  "prio"
    t.datetime "due_at"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "user_messages", ["recipient_id", "recipient_type"], name: "index_user_messages_on_recipient_id_and_recipient_type", using: :btree
  add_index "user_messages", ["sender_id", "sender_type"], name: "index_user_messages_on_sender_id_and_sender_type", using: :btree
  add_index "user_messages", ["system_task_id"], name: "index_user_messages_on_system_task_id", using: :btree

  create_table "users", force: :cascade do |t|
    t.string   "email",                  default: "",    null: false
    t.string   "encrypted_password",     default: "",    null: false
    t.string   "reset_password_token"
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.integer  "sign_in_count",          default: 0,     null: false
    t.datetime "current_sign_in_at"
    t.datetime "last_sign_in_at"
    t.inet     "current_sign_in_ip"
    t.inet     "last_sign_in_ip"
    t.datetime "created_at",                             null: false
    t.datetime "updated_at",                             null: false
    t.boolean  "super_admin",            default: false
    t.boolean  "dev",                    default: false
    t.integer  "identifiable_id"
    t.string   "identifiable_type"
  end

  add_index "users", ["email"], name: "index_users_on_email", unique: true, using: :btree
  add_index "users", ["identifiable_id"], name: "index_users_on_identifiable_id", using: :btree
  add_index "users", ["reset_password_token"], name: "index_users_on_reset_password_token", unique: true, using: :btree

  add_foreign_key "advancement_plan_borrows", "advancement_plans"
  add_foreign_key "advancement_plan_borrows", "institutions"
  add_foreign_key "advancement_plan_borrows", "teachers"
  add_foreign_key "advancement_plan_institution_stocks", "advancement_plans"
  add_foreign_key "advancement_plan_institution_stocks", "institutions"
  add_foreign_key "career_items", "client_groups", on_delete: :nullify
  add_foreign_key "career_items", "clients", on_delete: :cascade
  add_foreign_key "career_items", "institutions", on_delete: :nullify
  add_foreign_key "career_items", "teachers", on_delete: :nullify
  add_foreign_key "client_duplicate_detections", "client_duplicate_detection_requests"
  add_foreign_key "client_duplicate_detections", "client_duplicate_requests", name: "client_duplicate_detections_client_duplicate_requests_id_fk", on_update: :cascade, on_delete: :cascade
  add_foreign_key "client_duplicate_detections", "clients"
  add_foreign_key "client_duplicate_responses", "client_duplicate_requests"
  add_foreign_key "client_group_histories", "client_groups"
  add_foreign_key "client_group_histories", "teachers"
  add_foreign_key "client_groups", "institutions"
  add_foreign_key "client_groups", "semesters"
  add_foreign_key "client_groups", "teachers"
  add_foreign_key "client_guardian_relations", "clients"
  add_foreign_key "client_guardian_relations", "guardians"
  add_foreign_key "client_supporter_relations", "clients"
  add_foreign_key "client_supporter_relations", "supporters"
  add_foreign_key "clients", "client_duplicate_requests", on_delete: :nullify
  add_foreign_key "diagnostic_borrows", "diagnostics"
  add_foreign_key "diagnostic_borrows", "institutions"
  add_foreign_key "diagnostic_borrows", "teachers"
  add_foreign_key "diagnostic_institution_stocks", "diagnostics"
  add_foreign_key "diagnostic_institution_stocks", "institutions"
  add_foreign_key "educational_course_rules", "educational_courses", name: "fk_ecr_on_ec_id", on_update: :cascade, on_delete: :cascade
  add_foreign_key "educational_courses_institutions", "educational_courses", name: "fk_eci_on_ec_id", on_update: :cascade, on_delete: :cascade
  add_foreign_key "evaluation_involved_guardians", "guardians"
  add_foreign_key "evaluation_involved_guardians", "portfolio_item_evaluations"
  add_foreign_key "evaluation_involved_persons", "portfolio_item_evaluations"
  add_foreign_key "evaluation_involved_supporters", "portfolio_item_evaluations"
  add_foreign_key "evaluation_involved_supporters", "supporters"
  add_foreign_key "institutions", "addresses"
  add_foreign_key "institutions", "institution_categories"
  add_foreign_key "online_diagnostic_urls", "online_diagnostics", name: "fk_odu_on_od_id", on_update: :cascade, on_delete: :cascade
  add_foreign_key "portfolio_conditions", "portfolio_rules", column: "rule_id"
  add_foreign_key "portfolio_conditions_steps", "portfolio_conditions", column: "condition_id"
  add_foreign_key "portfolio_conditions_steps", "portfolio_steps", column: "step_id"
  add_foreign_key "portfolio_item_class_diagnostics", "online_diagnostics", column: "diagnostic_id", name: "fk_picd_on_od_id", on_update: :cascade, on_delete: :restrict
  add_foreign_key "portfolio_item_involved_guardians", "guardians"
  add_foreign_key "portfolio_item_involved_guardians", "portfolio_items"
  add_foreign_key "portfolio_item_involved_people", "portfolio_items"
  add_foreign_key "portfolio_item_involved_supporters", "portfolio_items"
  add_foreign_key "portfolio_item_involved_supporters", "supporters"
  add_foreign_key "portfolio_item_involved_teachers", "portfolio_items"
  add_foreign_key "portfolio_item_involved_teachers", "teachers"
  add_foreign_key "portfolio_item_measurements", "portfolio_items"
  add_foreign_key "portfolio_item_target_results", "portfolio_item_targets"
  add_foreign_key "portfolio_item_targets", "portfolio_items"
  add_foreign_key "portfolio_items", "clients"
  add_foreign_key "portfolio_items", "portfolio_specializations"
  add_foreign_key "portfolio_items", "portfolio_step_results"
  add_foreign_key "portfolio_items", "portfolio_steps"
  add_foreign_key "portfolio_rule_steps", "portfolio_rules", column: "rule_id"
  add_foreign_key "portfolio_rule_steps", "portfolio_steps", column: "step_id"
  add_foreign_key "portfolio_step_results", "portfolio_steps", column: "step_id"
  add_foreign_key "supporters", "institutions"
  add_foreign_key "teacher_institution_relations", "institutions"
  add_foreign_key "teacher_institution_relations", "teachers"
  add_foreign_key "teachers", "teacher_categories"
  add_foreign_key "user_messages", "system_tasks", name: "fk_um_on_st_id", on_update: :cascade, on_delete: :cascade
end
