require "datagrid/drivers"
module Datagrid
  module Drivers
    class JsonApiClientDriver  < AbstractDriver

      def self.match?(scope)
        return true if scope.respond_to?(:ancestors) && scope.ancestors.include?(::JsonApiClient::Resource)
        return true if scope.is_a?(::JsonApiClient::Query::Builder)
        return true if scope.is_a?(::JsonApiClient::ResultSet)
        return false
      end


      def to_scope(scope)
        return scope
      end

      def where(scope, attribute, value)
        scope.where({attribute => value})
      end

      def asc(scope, order)
        scope.order("#{order}")
      end

      def desc(scope, order)
        scope.order("-#{order}")
      end

      def default_order(scope, column_name)
        nil
        #has_column?(scope, column_name) ? prefix_table_name(scope, column_name) : nil
      end

      def greater_equal(scope, field, value)
        raise(NotImplementedError)
      end

      def less_equal(scope, field, value)
        raise(NotImplementedError)
      end

      def has_column?(scope, column_name)
        #scope.attributes.include?(column_name.to_s)
        true
      end

      def reverse_order(scope)
        scope.sort("#{order} desc")
      end

      def is_timestamp?(scope, field)
        false
      end

      def contains(scope, field, value)
        scope.where(scope, field, value)
      end

      def column_names(scope)
        scope.attributes.keys
      end

      def normalized_column_type(scope, field)
        :string
      end

      def batch_each(scope, batch_size, &block)
        raise(NotImplementedError)
      end

      def default_cache_key(asset)
        asset.id || raise(NotImplementedError)
      end


      def default_preload(scope, value)
        raise(NotImplementedError)
      end

      def can_preload?(scope, association)
        false
      end


    end
  end
end