desc "Load any auth item changes"

task 'vsb:reset_auth_role_permissions' => :environment do |task,args|
  puts "Restoring defaults for all roles"
  AuthRole.all.each do |role|
    puts "Restoring default for #{role.name}."
    puts "Clearing all grants for #{role.name}."
    role.auth_items = AuthItem.where(user_type: role.user_type,is_default_item:true)
    role.auth_items.each do |item|
      puts " -> Setting grant #{item.type}"
    end
    puts "Saving default grants for #{role.name}"
    role.save
  end
  puts "Defaults restored"
end

task 'vsb:sync_authorization_items'  => :environment do |task,args|
 Ability.sync_auth_item_database
 puts "Authorization module initialized"
end

